# Interface ClientConfigObject

Represents the configuration object for the client.

The `ClientConfig` class provides a convenient way to configure the client by specifying various properties. These properties control different aspects of the client's behavior, such as API URLs, media reoffer, and WebSocket settings.

#### Example

    [[include:snippet_SetClientConfig.txt]]

interface ClientConfigObject {
apiUrl?: Nullable<string>;
autoReconnectMedia?: Nullable<boolean>;
region?: null | CoreClientConfigRegionJS | "AP" | "EU" | "US";
rtcStatsTelemetry?: Nullable<boolean>;
websocketPath?: Nullable<string>;
websocketUrl?: Nullable<string>;
}

#####
Index

### Properties

apiUrl?
autoReconnectMedia?
region?
rtcStatsTelemetry?
websocketPath?
websocketUrl?

## Properties

### `Optional` apiUrl

apiUrl?: Nullable<string>

The API URL of your chosen datacenter, if set overrides default from region

### `Optional` autoReconnectMedia

autoReconnectMedia?: Nullable<boolean>

Allow the sdk to automatically reconnect media when network interface changes

### `Optional` region

region?: null | CoreClientConfigRegionJS | "AP" | "EU" | "US"

The Vonage datacenter to use

### `Optional` rtcStatsTelemetry

rtcStatsTelemetry?: Nullable<boolean>

Allow users to enable RTCStats

### `Optional` websocketPath

websocketPath?: Nullable<string>

The Path component appended to the Websocket URL

### `Optional` websocketUrl

websocketUrl?: Nullable<string>

The WebSocket URL of your chosen datacenter, if set overrides default from region